%global commit b89c29ed0847a1dfb96d81a794f6e1fac2d68d2f

%global enable_tests 0

Name:           nodejs-filelist
Version:        0.0.3
Release:        1%{?dist}
Summary:        Lazy-evaluating list of files, based on globs or regexes

License:        ASL 2.0
URL:            https://github.com/mde/filelist
Source0:        https://github.com/mde/filelist/archive/%{commit}/filelist-%{commit}.tar.gz
# https://github.com/mde/filelist/pull/2
Source1:        http://www.apache.org/licenses/LICENSE-2.0
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(jake)
BuildRequires:  npm(utilities)
%endif

%description
A FileList is a lazy-evaluated list of files. When given a list of
glob patterns for possible files to be included in the file list,
instead of searching the file structures to find the files, a FileList
holds the pattern for latter use.

This allows you to define a FileList to match any number of files, but
only search out the actual files when then FileList itself is actually
used. The key is that the first time an element of the FileList/Array
is requested, the pending patterns are resolved into a real list of
file names.


%prep
%setup -q -n filelist-%{commit}
cp %{SOURCE1} LICENSE
%nodejs_fixdep minimatch "^0.2.12"
%nodejs_fixdep utilities "^1.0.4"
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/filelist
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/filelist
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
jake test
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/filelist


%changelog
* Sat Nov 15 2014 Tom Hughes <tom@compton.nu> - 0.0.3-1
- Initial build of 0.0.3
